<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <h:head>
        <title>Lista de Filmes</title>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>

        <h:outputStylesheet library="css" name="default.css"/>

    </h:head>
    <body>
        <ui:composition template="../WEB-INF/template/template.xhtml">
            <ui:define name="content">
                <p:fieldset legend="Cadastro de Filme" >
                    <p:panelGrid columns="9" id="painel2">
                       
                        <p:dataTable value="#{filmeBean.filme}" var="filme" id="tabela2" >
                            <p:column headerText="Código">
                                <p:outputLabel value="Codigo:" for="codigo" class="pedido"/>
                                <p:inputText id="codigo"  style="width: 40px" readonly="true" value="#{filmeBean.codigo}" />
                            </p:column>
                            
                            
                            <p:column headerText="Nome">
                                <p:inputText id="nome"  style="width: 40px" value="#{filmeBean.filme.nome}" />
                            </p:column>
                            
                            
                            <p:column headerText="Descrição">
                                <p:inputText id="descricao"  style="width: 40px"  value="#{filmeBean.filme.descricao}" />
                            </p:column>
                            
                            
                            <p:column headerText="Duração">
                                <p:inputText id="duracao"  style="width: 40px"  value="#{filmeBean.filme.duracao}" />
                            </p:column>
                            
                            
                            <p:column headerText="Diretor">
                                <p:inputText id="diretor"  style="width: 40px" value="#{filmeBean.filme.diretor}" />
                            </p:column>
                            
                            
                            <p:column headerText="Elenco">
                                <p:inputText id="elenco"  style="width: 40px"  value="#{filmeBean.filme.elenco}" />
                            </p:column>
                            
                            
                            <p:column headerText="Classificação">
                                <p:inputText id="classificacao"  style="width: 40px"  value="#{filmeBean.filme.classificacao}" />
                            </p:column>
                            
                            
                            <p:column headerText="Genero">
                                <p:inputText id="genero"  style="width: 40px"  value="#{filmeBean.filme.genero}" />
                            </p:column>
                            
                            <p:column headerText="3D">
                            <p:outputLabel for="tresDimencoes" />
                            <h:selectOneRadio id="tresDimencoes" value="#{filmeBean.filme.tresDimencoes}" >
                                <f:selectItem itemValue="sim" itemLabel="Sim" />
                                <f:selectItem itemValue="nao" itemLabel="Não" />
                            </h:selectOneRadio>
                            <p:message for="tresDimencoes" />
                        </p:column>

                        <f:facet name="footer">
                            <p:commandButton value="Salvar" icon="fa fa-plus" action="#{filmeBean.salvarEdicao()}" update="growl,painel,tabela" />
                            <p:spacer width="20px" />
                        </f:facet>
                        <h:inputHidden value="#{filmeBean.filme.id}" />
                        </p:dataTable>
                    </p:panelGrid>

                </p:fieldset>


                <p:fieldset legend="Lista de Filmes" >
                    <p:panelGrid columns="9" id="painel">
                        <p:dataTable value="#{filmeBean.lista}" var="filme" id="tabela" >
                            <p:column headerText="Código" style="width: 80px; text-align: center">
                                <h:outputText value="#{filme.id}" />
                            </p:column>
                            <p:column headerText="Nome">
                                <h:outputText value="#{filme.nome}" />
                            </p:column>
                            <p:column headerText="Descrição">
                                <h:outputText value="#{filme.descricao}" />
                            </p:column>
                            <p:column headerText="Duração">
                                <h:outputText value="#{filme.duracao}" />
                            </p:column>
                            <p:column headerText="Diretor">
                                <h:outputText value="#{filme.diretor}" />
                            </p:column>
                            <p:column headerText="Elenco">
                                <h:outputText value="#{filme.elenco}" />
                            </p:column>
                            <p:column headerText="Classificação">
                                <h:outputText value="#{filme.classificacao}" />
                            </p:column>
                            <p:column headerText="Genero">
                                <h:outputText value="#{filme.genero}" />
                            </p:column>
                            <p:column headerText="3D">
                                <h:outputText value="#{filme.tresDimencoes}" />
                            </p:column>
                            <p:column style="width: 100px; text-align: center">


                                <p:commandButton  icon="ui-icon-pencil" title="Editar"  process="@this" update="painel2">
                                    <f:setPropertyActionListener target="#{filmeBean.filme}" value="#{filme}" />
                                </p:commandButton>

                                <p:commandButton icon="ui-icon-trash" title="Excluir" actionListener="#{filmeBean.excluir(filme)}" process="@this" update="growl , tabela" immediate="true" >
                                    <p:confirm header="Confirmação" message="Deseja realmente excluir?" icon="ui-icon-alert" />
                                </p:commandButton>

                                <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                    <p:commandButton value="Sim" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                                    <p:commandButton value="Não" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                                </p:confirmDialog>

                            </p:column>


                        </p:dataTable>

                    </p:panelGrid>
                </p:fieldset>

            </ui:define>
        </ui:composition>
    </body>
</html>
